Subject: Re: [PATCH] Documentation: update urls to Linux Foundation wiki

From: Stephen Hemminger <[email-masked]>
Date: Mon, 10 Oct 2022 12:29:13 -0700

On Mon, 10 Oct 2022 13:08:17 -0600
Jonathan Corbet <[email-masked]> wrote:

> Jouke Witteveen <[email-masked]> writes:
> 
> > The redirects from the old urls stopped working recently.
> >
> > Signed-off-by: Jouke Witteveen <[email-masked]>  
> 
> I see the LF has done its annual web-site replacement; I have no idea
> why they are so enamored with breaking URLs...
> 
> Anyway, This is networking documentation, so it should go to the folks
> at netdev [CC'd] rather than me.
> 
> >  Documentation/networking/bridge.rst                           | 2 +-
> >  Documentation/networking/dccp.rst                             | 4 ++--
> >  .../networking/device_drivers/ethernet/intel/ice.rst          | 2 +-
> >  Documentation/networking/generic_netlink.rst                  | 2 +-
> >  MAINTAINERS                                                   | 2 +-
> >  net/ipv4/Kconfig                                              | 2 +-
> >  net/sched/Kconfig                                             | 2 +-
> >  7 files changed, 8 insertions(+), 8 deletions(-)
> >
> > diff --git a/Documentation/networking/bridge.rst b/Documentation/networking/bridge.rst
> > index 4aef9cddde2f..c859f3c1636e 100644
> > --- a/Documentation/networking/bridge.rst
> > +++ b/Documentation/networking/bridge.rst
> > @@ -8,7 +8,7 @@ In order to use the Ethernet bridging functionality, you'll need the
> >  userspace tools.
> >  
> >  Documentation for Linux bridging is on:
> > -   http://www.linuxfoundation.org/collaborate/workgroups/networking/bridge
> > +   https://wiki.linuxfoundation.org/networking/bridge  
> 
> So this page is full of encouraging stuff like:
> 
> > The code is updated as part of the 2.4 and 2.6 kernels available at
> > kernel.org.  
> 
> ...and tells us about an encouraging prototype implementation in 2.6.18.
> I'd apply the patch because working URLs are better than broken ones,
> but I also question the value of this material at all in 2022... there
> should be better documents to link to at this point?

This is ancient networking wiki.
I took old stuff put it on wiki back when I was working at LF
but never updated since then.